KILLPG(3)

NAME
killpg - send signal to all members of a process group.

SYNOPSIS
#include <signal.h>

int killpg(pid_t pidgrp, int signal);

DESCRIPTION
The killpg() function causes signal signal to be sent to all the processes in the process group pidgrp or to the processes' own process group if pidgrp is equal to zero.

It is equivalent to

kill(-pidgrp,signal);

RETURN VALUE
The value returned is -1 on error, or 0 for success.

ERRORS
Errors are returned in errno and can be one of the following:

EINVAL
    for an invalid signal,

ESRCH
    for a process group which does not exist, and

EPERM
    if the userid of the calling process is not equal to that of the process the signal is sent to, and the userid is not that of the superuser.

CONFORMS TO
???

SEE ALSO
kill(2), signal(2), signal(7)